Skip to main content
POST
/
servers
/
{server_id}
/
out_of_band_connection
Python (SDK)
import latitudesh_python_sdk
from latitudesh_python_sdk import Latitudesh
import os


with Latitudesh(
    bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:

    res = latitudesh.servers.create_out_of_band_connection(server_id="sv_8NkvdyGKDeLpx", data={
        "type": latitudesh_python_sdk.CreateServerOutOfBandServersType.OUT_OF_BAND,
        "attributes": {
            "ssh_key_id": "ssh_3YjJOLMydvZ87",
        },
    })

    # Handle response
    print(res)
{
  "data": {
    "id": "obc_mw49QDB5qagKb",
    "type": "out_of_band",
    "attributes": {
      "ssh_key": {
        "id": "ssh_3YjJOLMydvZ87",
        "description": "wisozk-gislason.example",
        "fingerprint": "14:e2:8e:b3:9e:f5:08:31:b6:c7:43:6d:f5:1e:6d:b2"
      },
      "created_at": "2026-01-14T15:56:58+00:00",
      "username": "server-1",
      "credentials": {
        "user": "donn",
        "password": "398ig362ci"
      },
      "port": "2222",
      "access_ip": "189.1.2.0",
      "server_id": "sv_8NkvdyGKDeLpx",
      "status": "connected"
    }
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Path Parameters

server_id
string
required

Body

data
object
required

Response

201 - application/vnd.api+json

Created

data
object